For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a new consent

Create a new consent type

Required permissions: CONSENT

post
/tenants/{tenantUid}/consents
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
consentUidstringOptionalPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringOptional
activebooleanRequired
externalIdstringOptional
Responses
201

Example response

application/json
consentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
activebooleanRequired
externalIdstringRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/consents
POST /v2/tenants/{tenantUid}/consents HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 90

{
  "consentUid": "text",
  "name": "text",
  "description": "text",
  "active": true,
  "externalId": "text"
}
201

Example response

{
  "consentUid": "text",
  "name": "text",
  "description": "text",
  "active": true,
  "externalId": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Last updated

Was this helpful?